> ## Documentation Index
> Fetch the complete documentation index at: https://help.hoopai.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Toggle Shopify Import and Sync

> Method to trigger and toggle the shopify import and sync



## OpenAPI

````yaml /api-reference/store/openapi.json post /store/shopify/{altId}
openapi: 3.0.0
info:
  title: Store API
  description: Documentation for store API
  version: '1.0'
  contact: {}
servers:
  - url: https://services.leadconnectorhq.com
security: []
tags:
  - name: Store
    description: Documentation for store API
  - name: Shipping Zone
    description: Documentation for store API
  - name: Shipping Zone Rates
    description: Documentation for store API
  - name: Shipping Carrier
    description: Documentation for store API
  - name: Store Setting
    description: Documentation for store API
  - name: Customer Access Center
    description: Documentation for store API
paths:
  /store/shopify/{altId}:
    post:
      summary: Toggle Shopify Import and Sync
      description: Method to trigger and toggle the shopify import and sync
      operationId: post-shopify-import-sync
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PostShopifySyncDto'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DefaultResponseDto'
        '422':
          description: Unprocessable Entity
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UnprocessableDTO'
components:
  schemas:
    PostShopifySyncDto:
      type: object
      properties:
        syncConfig:
          $ref: '#/components/schemas/ShopifyImportSyncConfiguration'
        importConfig:
          $ref: '#/components/schemas/ShopifyImportSyncConfiguration'
      required:
        - syncConfig
    DefaultResponseDto:
      type: object
      properties:
        status:
          type: boolean
          description: Status of api action
          example: true
        message:
          type: string
          description: Success message
          example: Successfully created
      required:
        - status
    UnprocessableDTO:
      type: object
      properties:
        statusCode:
          type: number
          example: 422
        message:
          type: array
          items:
            type: string
          example:
            - Unprocessable Entity
        error:
          type: string
          example: Unprocessable Entity
      required:
        - statusCode
        - message
        - error
    ShopifyImportSyncConfiguration:
      type: object
      properties:
        orderReceivedTrigger:
          type: boolean
          description: Flag to trigger order received triggers for order creation
          example: true
        paymentReceivedTrigger:
          type: boolean
          description: >-
            Flag to trigger payment received triggers when transactions is
            created
          example: true
        contacts:
          type: boolean
          description: Flag to sync contacts from Shopify store
          example: true
        products:
          type: boolean
          description: Flag to sync products from Shopify store
          example: true
        orders:
          type: boolean
          description: Flag to sync orders from Shopify store
          example: true
        transactions:
          type: boolean
          description: Flag to sync transactions from Shopify store
          example: true
        collections:
          type: boolean
          description: Flag to sync collections from Shopify store
          example: true
      required:
        - orderReceivedTrigger
        - paymentReceivedTrigger

````